package com.rjconsultores.ventaboletos.relatorios.impl;

import java.math.BigDecimal;
import java.util.Date;

import com.rjconsultores.ventaboletos.constantes.Constantes;

public class RelatorioOCDReembolsoPixBean {
	private Long ocdId;
	
	private Long boletoId;
		
	private String numoperacion;
	private String numfoliosistema;
	
	private Date fechorventa;

	private BigDecimal valorOcd;
	private BigDecimal penalizacion;	
	private Date fecinc;
	private String empresa;
	private String nombusuario;
	private String nombusuarioinc;
	private String nombpuntoventa;
	private String nombpuntoventainc;
	private String origem;
	private String destino;
	private String asiento;
	private Date feccorrida;
	private BigDecimal totalBilhete;	
	private Integer motivocancelacionId;
	private String nomePix;
	private String cpfCnpjPix;
	private String telefonePix;
	private String tipoChavePix;
	private String chavePix;
	public Long getOcdId() {
		return ocdId;
	}
	public void setOcdId(Long ocdId) {
		this.ocdId = ocdId;
	}
	public Long getBoletoId() {
		return boletoId;
	}
	public void setBoletoId(Long boletoId) {
		this.boletoId = boletoId;
	}
	public String getNumoperacion() {
		return numoperacion;
	}
	public void setNumoperacion(String numoperacion) {
		this.numoperacion = numoperacion;
	}
	public String getNumfoliosistema() {
		return numfoliosistema;
	}
	public void setNumfoliosistema(String numfoliosistema) {
		this.numfoliosistema = numfoliosistema;
	}
	public Date getFechorventa() {
		return fechorventa;
	}
	public void setFechorventa(Date fechorventa) {
		this.fechorventa = fechorventa;
	}
	public BigDecimal getValorOcd() {
		return valorOcd;
	}
	public void setValorOcd(BigDecimal valorOcd) {
		this.valorOcd = valorOcd;
	}
	public BigDecimal getPenalizacion() {
		return penalizacion;
	}
	public void setPenalizacion(BigDecimal penalizacion) {
		this.penalizacion = penalizacion;
	}
	public Date getFecinc() {
		return fecinc;
	}
	public void setFecinc(Date fecinc) {
		this.fecinc = fecinc;
	}
	public String getEmpresa() {
		return empresa;
	}
	public void setEmpresa(String empresa) {
		this.empresa = empresa;
	}
	public String getNombusuario() {
		return nombusuario;
	}
	public void setNombusuario(String nombusuario) {
		this.nombusuario = nombusuario;
	}
	public String getNombusuarioinc() {
		return nombusuarioinc;
	}
	public void setNombusuarioinc(String nombusuarioinc) {
		this.nombusuarioinc = nombusuarioinc;
	}
	public String getNombpuntoventa() {
		return nombpuntoventa;
	}
	public void setNombpuntoventa(String nombpuntoventa) {
		this.nombpuntoventa = nombpuntoventa;
	}
	public String getNombpuntoventainc() {
		return nombpuntoventainc;
	}
	public void setNombpuntoventainc(String nombpuntoventainc) {
		this.nombpuntoventainc = nombpuntoventainc;
	}
	public String getOrigem() {
		return origem;
	}
	public void setOrigem(String origem) {
		this.origem = origem;
	}
	public String getDestino() {
		return destino;
	}
	public void setDestino(String destino) {
		this.destino = destino;
	}
	public String getAsiento() {
		return asiento;
	}
	public void setAsiento(String asiento) {
		this.asiento = asiento;
	}
	public Date getFeccorrida() {
		return feccorrida;
	}
	public void setFeccorrida(Date feccorrida) {
		this.feccorrida = feccorrida;
	}
	public BigDecimal getTotalBilhete() {
		return totalBilhete;
	}
	public void setTotalBilhete(BigDecimal totalBilhete) {
		this.totalBilhete = totalBilhete;
	}
	public Integer getMotivocancelacionId() {
		return motivocancelacionId;
	}
	public void setMotivocancelacionId(Integer motivocancelacionId) {
		this.motivocancelacionId = motivocancelacionId;
	}
	public String getNomePix() {
		return nomePix;
	}
	public void setNomePix(String nomePix) {
		this.nomePix = nomePix;
	}
	public String getCpfCnpjPix() {
		return cpfCnpjPix;
	}
	public void setCpfCnpjPix(String cpfCnpjPix) {
		this.cpfCnpjPix = cpfCnpjPix;
	}
	
	public String getTelefonePix() {
		return telefonePix;
	}
	public void setTelefonePix(String telefonePix) {
		this.telefonePix = telefonePix;
	}
	public String getTipoChavePix() {
		return tipoChavePix;
	}
	public void setTipoChavePix(String tipoChavePix) {
		this.tipoChavePix = tipoChavePix;
	}
	public String getChavePix() {
		return chavePix;
	}
	public void setChavePix(String chavePix) {
		this.chavePix = chavePix;
	}
	
	public String getMotivo() {
		if(motivocancelacionId != null && Constantes.MVO_CANCEL_GERACAO_OCD.intValue() == motivocancelacionId.intValue()) {
			return "Geração OCD";
		} else if(motivocancelacionId != null && Constantes.MVO_CANCEL_TRANSFERENCIA.intValue() == motivocancelacionId.intValue()) {
			return "Transferência";
		} else if(motivocancelacionId != null && Constantes.MVO_CANCEL_TROCA.intValue() == motivocancelacionId.intValue()) {
			return "Troca";
		}
		return null;
	}
	
	public BigDecimal getMulta() {
		if(motivocancelacionId != null && Constantes.MVO_CANCEL_GERACAO_OCD.intValue() == motivocancelacionId.intValue()) {
			return getTotalBilhete().subtract(getValorOcd());
		}
		return BigDecimal.ZERO;
	}
	
	

}
